﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace dotsplit
{
    class BackgroundWorkerResult
    {
        public string SourceFile { get; private set; }
        public string DestinationDirectory { get; private set; }
        public List<string> CreatedParts { get; private set; }
        public string CmdFile { get; private set; }

        public BackgroundWorkerResult(string SourceFile,
            string DestinationDirectory,
            List<string> CreatedParts,
            string CmdFile)
        {
            this.SourceFile = SourceFile;
            this.CreatedParts = CreatedParts;
            this.DestinationDirectory = DestinationDirectory;
            this.CmdFile = CmdFile;
        }
    }
}
